%define name 	gds-monitors
%define version 2.19.0
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%define withpygds 1
%if %{withpygds}
%define config_pygds --enable-python
%else
%define config_pygds --disable-python
%endif
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

%define root_cling %(test "`root-config --has-cling`" != "yes"; echo $?)


Name: 		%{name}
Summary: 	gds-monitors 2.19.0
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems
Source: 	%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.lsc-group.phys.uwm.edu/daswg/projects/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make
BuildRequires:  gds-dmt-devel >= 2.19.0
BuildRequires:  gds-gui-devel >= 2.19.0
BuildRequires:  gds-base-devel >= 2.19.0
BuildRequires:  gzip bzip2 libXpm-devel
BuildRequires:  ldas-tools-framecpp >= 2.5.8
BuildRequires:  ldas-tools-framecpp-devel >= 2.5.8
BuildRequires:  ldas-tools-al-devel
BuildRequires:  libmetaio-devel
BuildRequires:  root
BuildRequires:  readline-devel fftw-devel
BuildRequires:  jsoncpp-devel
AutoReqProv: 	  no
Provides: 	    %name
Obsoletes:	    %name < %version
Prefix:		      %prefix

%description
GDS DMT monitor programs

%package base
Summary: 	GDS monitor files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires: gds-dmt-base
Requires: gds-base-frameio >= 2.19.0
Requires: gds-services >= 2.19.0
Requires: ldas-tools-framecpp
Requires: jsoncpp-devel

%description base
GDS DMT monitor programs

%package headers
Summary: 	GDS monitor header files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis

%description headers
GDS monitor header files.

%package devel
Summary: 	GDS monitor development files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-headers = %{version}-%{release}
Obsoletes:      %{name}-devel <= 2.18.7

%description devel
GDS monitor  development files.

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  --prefix=%prefix --libdir=%{_libdir} \
	           --includedir=%{prefix}/include/gds \
	           --enable-online --enable-dtt %{config_pygds}
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files base
%defattr(-,root,root)
%{_bindir}/ape_stream
%{_bindir}/aperture
%{_bindir}/BicoMon
%{_bindir}/BicoViewer
%{_bindir}/BitTest
%{_bindir}/blrms_monitor
%{_bindir}/burstMon
%{_bindir}/callineMon
%{_bindir}/Cumulus
%{_bindir}/DEnvCorr
%{_bindir}/dac_adc_ovfl
%{_bindir}/dmt_wmovie
%{_bindir}/dmt_wplot
%{_bindir}/dmt_wscan
%{_bindir}/dmt_wsearch
%{_bindir}/dmt_wstream
%{_bindir}/dq-module
%{_bindir}/DuoTone
%{_bindir}/dvTest
%{_bindir}/earthquake_alarm
%{_bindir}/EndTimes
%{_bindir}/eqMon
%{_bindir}/GainMon
%{_bindir}/HistCompr
%{_bindir}/InspiralMon
%{_bindir}/IRIG-B
%{_bindir}/kleineWelleM
%{_bindir}/LIGOLwMon
%{_bindir}/LightMon
%{_bindir}/LineMonitor
%{_bindir}/LockLoss
%{_bindir}/MultiVolt
%{_bindir}/NoiseFloorMonitor
%{_bindir}/NormTest
%{_bindir}/OmegaMon
%{_bindir}/PCalMon
%{_bindir}/PhotonCal
%{_bindir}/PlaneMon
%{_bindir}/PSLmon
%{_bindir}/PulsarMon
%{_bindir}/RayleighMonitor
%{_bindir}/SegGener
%{_bindir}/SenseMonitor
%{_bindir}/ShapeMon
%{_bindir}/SixtyHertzMon
%{_bindir}/SpectrumFold
%{_bindir}/Station
%{_bindir}/StochMon
%{_bindir}/StrainbandsMon
%{_bindir}/suspensionMon
%{_bindir}/TimeMon
%{_bindir}/trendview
%{_bindir}/TrigDsply
%{_bindir}/TrigSpec
%{_bindir}/WaveMon
%{_libdir}/libdqplugins.so*
%{_libdir}/libwpipe.so*
%{_datadir}/gds/Omega_c

%files headers
%defattr(-,root,root)
%{_includedir}/gds/DQ_Bit.hh

%files devel
%defattr(-,root,root)
%{_libdir}/libdqplugins.a
%{_libdir}/libwpipe.a
